lorikeet-heimdal: improve import-lorikeet.sh for the toplevel build
authorStefan Metzmacher <metze@samba.org>
Thu, 14 Jul 2011 14:24:37 +0000 (16:24 +0200)
committerStefan Metzmacher <metze@samba.org>
Wed, 29 Apr 2020 09:07:57 +0000 (11:07 +0200)
metze

import-lorikeet.sh

index 787e5073e315cf526756acb77e6b2cb41aab150a..392dc1ad3301b0f18dfae735b8ee1c1609cf3e17 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 #
 # Usage copy import-lorikeet.sh and rebase-lorikeet.sh
 # into an empty directory maybe call it update-heimdal
@@ -77,14 +77,11 @@ samba_fetch() {
 
 build_samba() {
        test x"$skip_build" = x"yes" || {
-               pushd source4 || return $?
-               ./autogen.sh || return $?
                ./configure.developer || return $?
-               make || return $?
+               make -j || return $?
                test x"$skip_test" = x"yes" || {
-                       make test || return $?
+                       TDB_NO_FSYNC=1 make -j test || return $?
                }
-               popd
        }
 
        return 0;
@@ -112,9 +109,10 @@ samba_create() {
                rsync -a source4/heimdal-new/ source4/heimdal || bailout $?
                echo "restore autogenerated files (run lexyacc.sh)"
                ( 
-                   cd source4
+                   pushd source4
                    heimdal_build/lexyacc.sh 
                    git add heimdal/lib/asn1/asn1parse.c heimdal/lib/asn1/asn1parse.h
+                   popd
                )
        #       echo "PS1=\"'import-heimdal shell'>\"" > ../.bashrc.samba_create
        #       bash --rcfile ../.bashrc.samba_create